Show / Hide Table of Contents

# Class QueryExecuteCompleteParams

Parameters to be sent back with a query execution complete event

##### Inheritance

System.Object
QueryExecuteCompleteParams

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.QueryExecution.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class QueryExecuteCompleteParams

### Properties

| Improve this Doc View Source

#### BatchSummaries

Summaries of the result sets that were returned with the query

##### Declaration

    public BatchSummary[] BatchSummaries { get; set; }

##### Property Value

Type | Description
--- | ---
BatchSummary[] |

| Improve this Doc View Source

#### Message

Error message, if any

##### Declaration

    public string Message { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### OwnerUri

URI for the editor that owns the query

##### Declaration

    public string OwnerUri { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |